Sign up ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free.

I'm having a problem with Ubuntu Software Center. When I open it, it closes automatically without any permissions. When I run it in a terminal I get this:

vangjush@vangjush:~$ software-center
2013-05-06 21:41:29,532 - - INFO - setting up proxy 'None'
2013-05-06 21:41:29,540 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True
2013-05-06 21:41:30,052 - - WARNING - Could not get usefulness from server, no username in config file
2013-05-06 21:41:30,061 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/', 51, 'find_module')'
2013-05-06 21:41:30,061 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2013-05-06 21:41:30,217 - - INFO - show_available_packages: search_text is '', app is None.
2013-05-06 21:41:30,555 - softwarecenter.db.pkginfo_impl.aptcache - INFO -
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/pkginfo_impl/", line 257, in open
    self._cache = apt.Cache(progress)
  File "/usr/lib/python2.7/dist-packages/apt/", line 102, in __init__
  File "/usr/lib/python2.7/dist-packages/apt/", line 149, in open
SystemError: E:Malformed line 57 in source list /etc/apt/sources.list (dist parse)
2013-05-06 21:41:31,504 - softwarecenter.db.enquire - ERROR - _get_estimate_nr_apps_and_nr_pkgs failed
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/", line 115, in _get_estimate_nr_apps_and_nr_pkgs
    tmp_matches = enquire.get_mset(0, len(self.db), None, xfilter)
  File "/usr/share/software-center/softwarecenter/db/", line 89, in __call__
    if (not pkgname in self.cache and
  File "/usr/share/software-center/softwarecenter/db/pkginfo_impl/", line 277, in __contains__
    return self._cache.__contains__(k)
AttributeError: 'NoneType' object has no attribute '__contains__'
Traceback (most recent call last):
  File "/usr/bin/software-center", line 182, in <module>
  File "/usr/share/software-center/softwarecenter/ui/gtk3/", line 1387, in run
  File "/usr/share/software-center/softwarecenter/ui/gtk3/", line 1325, in show_available_packages
  File "/usr/share/software-center/softwarecenter/ui/gtk3/session/", line 151, in set_active_view
  File "/usr/share/software-center/softwarecenter/ui/gtk3/panes/", line 173, in init_view
    self.cache, self.db, self.icons, self.apps_filter)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/", line 80, in __init__
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/", line 324, in build
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/", line 119, in _build_homepage_view
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/", line 253, in _append_whats_new
    whats_new_cat = self._update_whats_new_content()
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/", line 238, in _update_whats_new_content
    docs = whats_new_cat.get_documents(self.db)
  File "/usr/share/software-center/softwarecenter/db/", line 131, in get_documents
  File "/usr/share/software-center/softwarecenter/db/", line 330, in set_query
  File "/usr/share/software-center/softwarecenter/db/", line 225, in _blocking_perform_search
    matches = enquire.get_mset(0, self.limit, None, xfilter)
  File "/usr/share/software-center/softwarecenter/db/", line 89, in __call__
    if (not pkgname in self.cache and
  File "/usr/share/software-center/softwarecenter/db/pkginfo_impl/", line 277, in __contains__
    return self._cache.__contains__(k)
AttributeError: 'NoneType' object has no attribute '__contains__'

What's wrong? How can I fix it?

share|improve this question

migrated from May 7 '13 at 1:23

This question came from our site for users of Linux, FreeBSD and other Un*x-like operating systems.

Did you change your /etc/apt/sources.list file eg. adding a new ppa or something? If yes, remove that line and try again. – i08in May 7 '13 at 1:38
I just commented the last 5 lines of that source list. And it works perfectly. – Morfeos May 7 '13 at 15:05

2 Answers 2

up vote 2 down vote accepted

I think you need to run the software-center using elevated credentials. Most Unixes use a tool called sudo to give users the ability to do this, without having to give them the root password.

Try this command:

sudo software-center

You'll be prompted for a password, this is your normal user's password. It's just re-authenticated you to make sure you're not someone that just happen to sit down at someone else's terminal.

You can read more about the sudo command if you're interested.


share|improve this answer
Thank a lot. a lot this was really helpful reference. Cheers – Morfeos May 7 '13 at 15:04

Try updating from the terminal

sudo apt-get update
sudo apt-get upgrade

It would be working.

share|improve this answer
Did it. Now it works perfectly. Thank a lot sharkbait. Cheers – Morfeos May 7 '13 at 15:02
:))) Can you approve my answer? Thanks! – sharkbait May 7 '13 at 15:06

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.